//==========================================================================
// File: ksu.h
// Description: An implementation of Kranakis, Singh and Urrutia routing
// Author: Pat Morin
// Created: 
//==========================================================================
#ifndef __KSU_H
#define __KSU_H

#include <LEDA/graph.h>
#include <LEDA/point.h>
#include <LEDA/node_array.h>
#include <LEDA/node_matrix.h>

#include "util.h"

//==========================================================================
// Find the KSU path from s to t in G
// Complexity: O(n)
// Precondition: G is an embedded planar map whose vertex positions are
//               defined by pos, and that contains vertices s and t.
//========================================================================
void KSU_PATH(const graph &G, const node_array<POINT> &pos, 
	      node s, node t, list<edge> &P);

#endif //__KSU_H


