//==========================================================================
// File: unitgraph.h
// Description: Utilities for building unit graphs
// Author: Pat Morin
// Created: Mon Mar 29 19:09:25 EST 1999
//==========================================================================
#ifndef __UNITGRAPH_H
#define __UNITGRAPH_H

#include <LEDA/graph.h>
#include <LEDA/point.h>


//==========================================================================
// Build a unit graph G of radius r from the points in L.
//========================================================================
void unit_graph(list<point> &L, double r, GRAPH<point,int> &G);

//==========================================================================
// Build the unit graph G of radius r of n random points in the unit
// square. 
//========================================================================
void unit_graph(list<point> &L, int nedges, GRAPH<point,int> &G);

#endif __UNITGRAPH_H




